OpenTTD Source: Data Fields - Variables

OpenTTD Source 1.11.0-RC1

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : AirportSpec , SnowLine
- tabs : StringData
- tag : SaveLoadFormat
- tag_count : ContentInfo
- tags : ContentInfo
- tail : NWidgetContainer
- tail_reserve : ByteBlob
- tar_file : ScriptInfo , ScriptScanner
- target : ListOrderChange , MpsMachine , StringIDMapping
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- Tcapacity : SmallArray< T, B, N >
- te : BuildVehicleWindow
- tempo : MidiFile::TempoChange
- TEMPO_RATE : MpsMachine
- tempo_ticks : MpsMachine
- tempos : MidiFile
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- terrain_type : DifficultySettings
- tex : OpenGLSprite
- text : AllowedSubtags , CargoSuffix , CommandContainer , Goal , GRFText , Industry , LoggedChange , NamePart , OskWindow , StoryPageElement , TextfileWindow , Town
- text_btn : OskWindow
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart
- text_offset : SignListWindow
- text_position : AboutWindow
- text_width : CompanyLeagueWindow
- textref_stack : CommandCost , ErrorMessageData
- textref_stack_grffile : CommandCost , ErrorMessageData
- textref_stack_size : CommandCost , ErrorMessageData
- tgen_smoothness : GameCreationSettings
- this_month_production : Industry
- this_month_transported : Industry
- thread : LinkGraphJob
- threaded_saves : GUISettings
- ti : AirportTileTable , HangarTileTable
- tick : LoggedAction , NewGRFProfiler::Call
- tick_counter : Vehicle
- tickdiv : MidiFile
- TICKER_STOP : StatusBarWindow
- ticks : VideoDriver_Null
- ticktime : MidiFile::DataBlock , MidiFile::TempoChange
- tile : AirportScopeResolver , AirportTileScopeResolver , BasePersistentStorageArray , CanalScopeResolver , CommandContainer , DiagonalTileArea , FindDepotData , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , OrderBackup , OrthogonalTileArea , PBSTileInfo , RailTypeScopeResolver , RoadTypeScopeResolver , SpotData , StationScopeResolver , TileAndStation , TileInfo , TileIterator , Vehicle
- tile_count : StatueBuildSearchData
- tile_to_new_height : TerraformerState
- tileh : TileInfo
- tiles : StationSpec
- tiles_scope : AirportTileResolverObject
- time : IConsoleLine , NewGRFProfiler::Call , Script_Suspend
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timeout : AISettingsWindow , NewGRFParametersWindow
- timeout_timer : Window
- TIMER_INTERVAL : AboutWindow
- times_longterm : FramerateWindow
- times_shortterm : FramerateWindow
- timestamps : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_in_ticks : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- title : FileToSaveLoad , HighScore , SettingsPage , StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- token : ClientNetworkGameSocketHandler
- tool_tip : NWidgetCore
- toolbar_caption : RailtypeInfo , RoadTypeInfo
- toolbar_pos : GUISettings
- tooltip : NWidgetPartDataTip
- top : Blitter::BlitterParams , ParentSpriteToDraw , Viewport , ViewportSign , Window
- top_end : CargoesField
- top_offset : AIDebugWindow
- TOP_OFFSET : NewGRFInspectWindow
- top_spacing : MessageHistoryWindow
- TOP_SPACING : TextfileWindow
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : CursorVars , PacketWriter
- total_width : CompanyInfrastructureWindow
- town : BaseStation , HouseScopeResolver , Industry , Object , TownAuthorityWindow , TownViewWindow
- town_cargogen_mode : EconomySettings
- town_cn : Depot , Waypoint
- town_council_tolerance : DifficultySettings
- town_effect : CargoSpec
- town_growth_rate : EconomySettings
- town_layout : EconomySettings , FoundTownWindow
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_scope : IndustriesResolverObject , ObjectResolverObject , StationResolverObject , TownResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow , TownDirectoryWindow
- townnameparts : FoundTownWindow
- townnamevalid : FoundTownWindow
- track_ns : RailtypeInfo
- track_y : RailtypeInfo
- trackdir : PBSTileInfo
- tracknr : MusicSongInfo
- tractive_effort : RailVehicleInfo , RoadVehicleInfo
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- tram : GRFLoadedFeatures
- tram_speed : TileDesc
- tramtype : TileDesc
- tramtype_list : GRFFile
- transfers : CargoDataEntry
- translated : LangString
- translated_case : LangString
- translation : StringReader
- transport_name : BridgeSpec
- travel_time : Order
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- trip_occupancy : Vehicle
- truck_station : Station
- truck_stops : Station
- Tsize : FixedSizeArray< T, C >
- ttd_airport_type : AirportSpec
- tunnel : RailtypeInfo , RoadTypeInfo
- turn_counter : Aircraft
- type : Airport , AllowedSubtags , BaseVehicle , CargoesField , CheatEntry , Command , ContentInfo , DriverFactoryBase , EconomySettings , Engine , EngineIDMapping , Goal , GRFParameterInfo , IndustriesScopeResolver , Industry , IndustryCargoesWindow , IniGroup , LegendAndColour , LoggedChange , NewsItem , NWidgetBase , NWidgetPart , Object , OldChunks , Order , PoolBase , SettingFilter , SpriteCache , SpriteLoader::Sprite , StoryPageElement , StringParameters , Tile , TownNameParams , UnmappedChoiceList , VehicleListIdentifier
- type_hides : SettingFilter
- types : ContentListFilterData